/*
 * NAME:
 *	rwstu - interface to _read() et al
 *
 * DESCRIPTION:
 *	These routines provide a means of instantiating crypto or
 *	other hooks.
 *
 * AUTHOR:
 *	Simon J. Gerraty <sjg@quick.com.au>
 */
/*
 *      @(#)Copyright (c) 1996 Simon J. Gerraty.
 *      
 *      This is free software.  It comes with NO WARRANTY.
 *      Permission to use, modify and distribute this source code 
 *      is granted subject to the following conditions.
 *      1/ that the above copyright notice and this notice 
 *      are preserved in all copies and that due credit be given 
 *      to the author.  
 *      2/ that any changes to this code are clearly commented 
 *      as such so that the author does not get blamed for bugs 
 *      other than his own.
 *      
 *      Please send copies of changes and bug-fixes to:
 *      sjg@quick.com.au
 */
/*
#ifndef lint
static char RCSid[] = "$Id: rwstub.c,v 1.1 1997/05/05 03:05:58 sjg Exp $";
#endif
*/

#ifdef CLOSE
int
CLOSE(fd)
	int fd;
{
	return _close(fd);
}
#endif

#ifdef READ
int
READ(fd, buf, nbytes)
	int fd;
	unsigned char *buf;
	int nbytes;
{
	return _read(fd, buf, nbytes);
}
#endif

#ifdef WRITE
int
WRITE(fd, buf, nbytes)
	int fd;
	unsigned char *buf;
	int nbytes;
{
	return _write(fd, buf, nbytes);
}
#endif


